{ config, lib, pkgs, ... }:

{
	services.openssh = {
		enable = true;
		passwordAuthentication = false;
	};

	users.users."riley" = {

    	openssh.authorizedKeys.keys = [
			"ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGk/nBXhr3xWtbXBBkCuwqE6OixpRXCfscfxibgcCsTR me@riley.lgbt"
		];
		
		packages = with pkgs; [ openssh ];

	};

	users.users."root" = {
    	openssh.authorizedKeys.keys = [
			"ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGk/nBXhr3xWtbXBBkCuwqE6OixpRXCfscfxibgcCsTR me@riley.lgbt"
		];
	};
}
