{ pkgs, ... }: with pkgs; {

    # Copy something to the clipboard
	c = (writeShellApplication {
		name = "c";
		runtimeInputs = [ xclip ];
		text = "xclip -sel clip -i";
	});

    # Paste something from the clipboard
	p =	(writeShellApplication {
		name = "p";
		runtimeInputs = [ xclip ];
		text = "xclip -sel clip -o";
	});

}
