{ pkgs, ... }:

{
	fonts = {
    	
		fonts = with pkgs; [
			twemoji-color-font
			inter
			source-code-pro
			source-sans-pro
			source-serif-pro
			fira-code
			fira-mono
			fira
			noto-fonts-emoji
			hasklig
		];
    	
    	fontconfig = {
			enable = true;
			defaultFonts = {
				monospace = [
    				"Fira Code"
    				"Source Code Pro"
    				"Noto Color Emoji"
				];
				sansSerif = [
					"Source Sans"
				];
				serif = [
    				"Source Serif"
				];
				emoji = [
    				"Twitter Color Emoji"
				];
			};
    	};
    	
	};
}
