# This is a simple module that does not define its own options.
# Rather, it just looks at the `custom.gui.enable` option to
# determine if it needs to add anything.

{ pkgs, lib, config, ... }:

let gui = config.custom.gui;

    scripts = (import ../../scripts/clip.nix {
        inherit pkgs;
    });

in lib.mkIf (gui.enable) {

    # Add some shell scripts that abstract away the
    # horrible reality that the clipboard is managed by
    # the display server.
	users.users."riley".packages = with scripts; [ c p ];
	
}
