# Utility scripts for use with a window manager.

{ pkgs, ... }: with pkgs; {
    
    lock = writeShellApplication {
        name = "lock";
        runtimeInputs = [ i3lock ];
        text = "i3lock";
    };

    sc = (writeShellApplication {
        name = "sc";
        runtimeInputs = [ xclip scrot ];
        text = ''
            env > /tmp/env_sc.txt
        	scrot -D :0 -ozs /tmp/sc.png 2>/tmp/aaa.txt
        	xclip -t "image/png" -sel clip -i < /tmp/sc.png 2>/tmp/bbb.txt
        '';
    });

}
